## python-zeep 0.23.0

=== Makefile ===
.PHONY: install clean test retest coverage docs

install:
	pip install -e .[docs,test]
	pip install bumpversion twine wheel

lint:
	flake8 src/ tests/
	isort --recursive --check-only --diff src tests

clean:
	find . -name '*.pyc' -delete

test:
	py.test -vvv

retest:
	py.test -vvv --lf

coverage:
	py.test --cov=zeep --cov-report=term-missing --cov-report=html

docs:
	$(MAKE) -C docs html

release:
	pip install twine wheel
	rm -rf dist/*
	python setup.py sdist bdist_wheel
	twine upload -s dist/*

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Zeep.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Zeep.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Zeep"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Zeep"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-zeep (0.23.0-1) unstable; urgency=medium

  * Initial commit (Closes: #834485).

 -- Mathias Behrle <mbehrle@debian.org>  Tue, 06 Dec 2016 19:07:51 +0100

=== debian/control ===
Source: python-zeep
Section: python
Priority: optional
Maintainer: Debian Tryton Maintainers <maintainers@debian.tryton.org>
Uploaders:
 Mathias Behrle <mbehrle@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python (>= 1.20130901-1~),
 python,
 python-appdirs,
 python-cached-property,
 python-defusedxml,
 python-flake8,
 python-freezegun,
 python-isodate,
 python-isort,
 python-lxml,
 python-mock,
 python-pretend,
 python-pytest,
 python-pytest-cov,
 python-requests,
 python-requests-mock,
 python-setuptools,
 python-six,
 python-tz,
 python3,
 python3-appdirs,
 python3-cached-property,
 python3-defusedxml,
 python3-flake8,
 python3-freezegun,
 python3-isodate,
 python3-isort,
 python3-lxml,
 python3-mock,
 python3-pretend,
 python3-pytest,
 python3-pytest-cov,
 python3-requests,
 python3-requests-mock,
 python3-setuptools,
 python3-six,
 python3-tz,
Standards-Version: 3.9.8
Homepage: https://github.com/mvantellingen/python-zeep
Vcs-Browser: https://anonscm.debian.org/cgit/tryton/python-zeep.git
Vcs-Git: https://anonscm.debian.org/cgit/tryton/python-zeep.git

Package: python-zeep
Architecture: all
Depends:
 python-appdirs,
 python-cached-property,
 python-defusedxml,
 python-freezegun,
 python-isodate,
 python-lxml,
 python-pkg-resources,
 python-requests,
 python-setuptools,
 python-six,
 python-tz,
 ${misc:Depends},
 ${python:Depends},
Description: Modern SOAP client library (Python 2)
 A fast and modern Python SOAP client
 .
 Highlights:
  * Modern codebase compatible with Python 2.7, 3.3, 3.4, 3.5 and PyPy
  * Build on top of lxml and requests
  * Supports recursive WSDL and XSD documents.
  * Supports the xsd:choice and xsd:any elements.
  * Uses the defusedxml module for handling potential XML security issues
  * Support for WSSE (UsernameToken only for now)
  * Experimental support for HTTP bindings
  * Experimental support for WS-Addressing headers
  * Experimental support for asyncio via aiohttp (Python 3.5+)
 .
 Features still in development include:
  * WSSE x.509 support (BinarySecurityToken)
  * WS Policy support
 .
 Please see for more information the documentation at
 http://docs.python-zeep.org/
 .
 This package is targeting Python version 2.

Package: python3-zeep
Architecture: all
Depends:
 python3-appdirs,
 python3-cached-property,
 python3-defusedxml,
 python3-freezegun,
 python3-isodate,
 python3-lxml,
 python3-pkg-resources,
 python3-requests,
 python3-six,
 python3-tz,
 ${misc:Depends},
 ${python3:Depends},
Description: Modern SOAP client library (Python 3)
 A fast and modern Python SOAP client
 .
 Highlights:
  * Modern codebase compatible with Python 2.7, 3.3, 3.4, 3.5 and PyPy
  * Build on top of lxml and requests
  * Supports recursive WSDL and XSD documents.
  * Supports the xsd:choice and xsd:any elements.
  * Uses the defusedxml module for handling potential XML security issues
  * Support for WSSE (UsernameToken only for now)
  * Experimental support for HTTP bindings
  * Experimental support for WS-Addressing headers
  * Experimental support for asyncio via aiohttp (Python 3.5+)
 .
 Features still in development include:
  * WSSE x.509 support (BinarySecurityToken)
  * WS Policy support
 .
 Please see for more information the documentation at
 http://docs.python-zeep.org/
 .
 This package is targeting Python version 3.

## python-zeep 2.1.1

=== debian/changelog ===
python-zeep (2.1.1-1) unstable; urgency=medium

  * Merging upstream version 0.24.0.
  * Remove 01-add-missing-xsd-files.patch, went upstream.
  * Put a minimal version constraint for python-six.
  * Merging upstream version 0.27.0.
  * Updating Build-Depends and Depends for 0.27.0.
  * Merging upstream version 2.1.1.
  * Update debian/copyright.
  * Update Depends.
  * Add 01-remove-failing-tests.patch and 02-fix-soap-enc.xsd-copyright-
    char.patch.

 -- Mathias Behrle <mbehrle@debian.org>  Tue, 13 Jun 2017 13:58:08 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,8 @@
 Build-Depends:
  debhelper (>= 9),
  dh-python (>= 1.20130901-1~),
+ libxmlsec1,
+ libxmlsec1-openssl,
  python,
  python-appdirs,
  python-cached-property,
@@ -22,10 +24,12 @@
  python-pytest-cov,
  python-requests,
  python-requests-mock,
+ python-requests-toolbelt,
  python-setuptools,
- python-six,
+ python-six (>= 1.9.0-3~),
  python-tz,
  python3,
+ python3-aiohttp,
  python3-appdirs,
  python3-cached-property,
  python3-defusedxml,
@@ -40,6 +44,7 @@
  python3-pytest-cov,
  python3-requests,
  python3-requests-mock,
+ python3-requests-toolbelt,
  python3-setuptools,
  python3-six,
  python3-tz,
@@ -54,13 +59,13 @@
  python-appdirs,
  python-cached-property,
  python-defusedxml,
- python-freezegun,
  python-isodate,
  python-lxml,
  python-pkg-resources,
  python-requests,
+ python-requests-toolbelt,
  python-setuptools,
- python-six,
+ python-six (>= 1.9.0-3~),
  python-tz,
  ${misc:Depends},
  ${python:Depends},
@@ -90,6 +95,7 @@
 Package: python3-zeep
 Architecture: all
 Depends:
+ python3-aiohttp,
  python3-appdirs,
  python3-cached-property,
  python3-defusedxml,

## python-zeep 2.4.0

=== debian/changelog ===
python-zeep (2.4.0-1) unstable; urgency=medium

  * Update the signing-key to the current valid key.
  * Change the maintainer address to tryton-debian@lists.alioth.debian.org
    (Closes: #865109).
  * Use the preferred https URL format in the copyright file.
  * Bump the Standards-Version to 4.0.1.
  * Put the minimal version constraint as well for python3-six.
  * Bump the Standards-Version to 4.1.0, no changes needed.
  * Merging upstream version 2.4.0 (Closes: #874215).
  * Add new Build-Depends.
  * Refresh 01-remove-failing-tests.patch.

 -- Mathias Behrle <mbehrle@debian.org>  Mon, 04 Sep 2017 19:01:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-zeep
 Section: python
 Priority: optional
-Maintainer: Debian Tryton Maintainers <maintainers@debian.tryton.org>
+Maintainer: Debian Tryton Maintainers <tryton-debian@lists.alioth.debian.org>
 Uploaders:
  Mathias Behrle <mbehrle@debian.org>,
 Build-Depends:
@@ -22,6 +22,7 @@
  python-pretend,
  python-pytest,
  python-pytest-cov,
+ python-pytest-tornado,
  python-requests,
  python-requests-mock,
  python-requests-toolbelt,
@@ -42,13 +43,14 @@
  python3-pretend,
  python3-pytest,
  python3-pytest-cov,
+ python3-pytest-tornado,
  python3-requests,
  python3-requests-mock,
  python3-requests-toolbelt,
  python3-setuptools,
- python3-six,
+ python3-six (>= 1.9.0-3~),
  python3-tz,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://github.com/mvantellingen/python-zeep
 Vcs-Browser: https://anonscm.debian.org/cgit/tryton/python-zeep.git
 Vcs-Git: https://anonscm.debian.org/cgit/tryton/python-zeep.git

## python-zeep 2.5.0

=== debian/changelog ===
python-zeep (2.5.0-1) unstable; urgency=medium

  * Bump the Standards-Version to 4.1.1, no changes needed.
  * Update year of debian copyright.
  * Updating to standards version 4.1.3, no changes needed.
  * control: update Vcs-Browser and Vcs-Git
  * Set the Maintainer address to team+tryton-team@tracker.debian.org.
  * Merging upstream version 2.5.0.
  * Refresh 01-remove-failing-tests.patch.
  * Disable failing test test_tornado_transport.py (Closes: #893948).
    The test seems to fail because of poor support of asyncio/tornado.
    In the hope the package still is for more use even with buggy tornado
    support than to keep it out of testing we disable also:
      tests/test_tornado_transport.py
      s.a. https://github.com/mvantellingen/python-zeep/issues/679
           https://github.com/mvantellingen/python-zeep/issues/724

 -- Mathias Behrle <mbehrle@debian.org>  Wed, 04 Apr 2018 11:59:05 +0200

=== debian/control ===
Source: python-zeep
Maintainer: Debian Tryton Maintainers <team+tryton-team@tracker.debian.org>
Uploaders: Mathias Behrle <mbehrle@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python (>= 1.20130901-1~),
               libxmlsec1,
               libxmlsec1-openssl,
               python,
               python-appdirs,
               python-cached-property,
               python-defusedxml,
               python-flake8,
               python-freezegun,
               python-isodate,
               python-isort,
               python-lxml,
               python-mock,
               python-pretend,
               python-pytest,
               python-pytest-cov,
               python-pytest-tornado,
               python-requests,
               python-requests-mock,
               python-requests-toolbelt,
               python-setuptools,
               python-six (>= 1.9.0-3~),
               python-tz,
               python3,
               python3-aiohttp,
               python3-appdirs,
               python3-cached-property,
               python3-defusedxml,
               python3-flake8,
               python3-freezegun,
               python3-isodate,
               python3-isort,
               python3-lxml,
               python3-mock,
               python3-pretend,
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-tornado,
               python3-requests,
               python3-requests-mock,
               python3-requests-toolbelt,
               python3-setuptools,
               python3-six (>= 1.9.0-3~),
               python3-tz
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/tryton-team/python-zeep
Vcs-Git: https://salsa.debian.org/tryton-team/python-zeep.git
Homepage: https://github.com/mvantellingen/python-zeep

Package: python-zeep
Architecture: all
Depends: python-appdirs,
         python-cached-property,
         python-defusedxml,
         python-isodate,
         python-lxml,
         python-pkg-resources,
         python-requests,
         python-requests-toolbelt,
         python-setuptools,
         python-six (>= 1.9.0-3~),
         python-tz,
         ${misc:Depends},
         ${python:Depends}
Description: Modern SOAP client library (Python 2)
 A fast and modern Python SOAP client
 .
 Highlights:
  * Modern codebase compatible with Python 2.7, 3.3, 3.4, 3.5 and PyPy
  * Build on top of lxml and requests
  * Supports recursive WSDL and XSD documents.
  * Supports the xsd:choice and xsd:any elements.
  * Uses the defusedxml module for handling potential XML security issues
  * Support for WSSE (UsernameToken only for now)
  * Experimental support for HTTP bindings
  * Experimental support for WS-Addressing headers
  * Experimental support for asyncio via aiohttp (Python 3.5+)
 .
 Features still in development include:
  * WSSE x.509 support (BinarySecurityToken)
  * WS Policy support
 .
 Please see for more information the documentation at
 http://docs.python-zeep.org/
 .
 This package is targeting Python version 2.

Package: python3-zeep
Architecture: all
Depends: python3-aiohttp,
         python3-appdirs,
         python3-cached-property,
         python3-defusedxml,
         python3-freezegun,
         python3-isodate,
         python3-lxml,
         python3-pkg-resources,
         python3-requests,
         python3-six,
         python3-tz,
         ${misc:Depends},
         ${python3:Depends}
Description: Modern SOAP client library (Python 3)
 A fast and modern Python SOAP client
 .
 Highlights:
  * Modern codebase compatible with Python 2.7, 3.3, 3.4, 3.5 and PyPy
  * Build on top of lxml and requests
  * Supports recursive WSDL and XSD documents.
  * Supports the xsd:choice and xsd:any elements.
  * Uses the defusedxml module for handling potential XML security issues
  * Support for WSSE (UsernameToken only for now)
  * Experimental support for HTTP bindings
  * Experimental support for WS-Addressing headers
  * Experimental support for asyncio via aiohttp (Python 3.5+)
 .
 Features still in development include:
  * WSSE x.509 support (BinarySecurityToken)
  * WS Policy support
 .
 Please see for more information the documentation at
 http://docs.python-zeep.org/
 .
 This package is targeting Python version 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME := zeep

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf $(PACKAGE_NAME).egg-info
	rm -rf PKG-INFO
	dh_auto_clean

override_dh_install:
	dh_install
	# asyncio is Python3 only
	rm -rf debian/python-zeep/usr/lib/python2.7/dist-packages/zeep/asyncio

## python-zeep 3.2.0

=== debian/changelog ===
python-zeep (3.2.0-1) unstable; urgency=medium

  * Move source.lintian-overrides to source/lintian-overrides.
  * Merging upstream version 3.2.0.
  * Refresh debian/patches/01-remove-failing-tests.patch.
  * Update to Standards-Version: 4.3.0.

 -- Mathias Behrle <mbehrle@debian.org>  Wed, 09 Jan 2019 19:02:54 +0100

python-zeep (3.1.0-1) unstable; urgency=medium

  * Updating to standards version 4.2.1, no changes needed.
  * Merging upstream version 3.1.0.
  * Bump to debhelper compat 11.
  * Update (Build-)Depends for 3.1.0.
  * Refresh patches.
  * Install the examples.
  * Add a simple autopkgtest.

 -- Mathias Behrle <mbehrle@debian.org>  Thu, 22 Nov 2018 17:20:02 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Uploaders: Mathias Behrle <mbehrle@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
                dh-python (>= 1.20130901-1~),
                libxmlsec1,
                libxmlsec1-openssl,
                python,
                python-appdirs,
+               python-attr,
                python-cached-property,
                python-defusedxml,
                python-flake8,
@@ -30,6 +31,7 @@
                python3,
                python3-aiohttp,
                python3-appdirs,
+               python3-attr,
                python3-cached-property,
                python3-defusedxml,
                python3-flake8,
@@ -48,7 +50,7 @@
                python3-setuptools,
                python3-six (>= 1.9.0-3~),
                python3-tz
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/tryton-team/python-zeep
 Vcs-Git: https://salsa.debian.org/tryton-team/python-zeep.git
 Homepage: https://github.com/mvantellingen/python-zeep
@@ -56,6 +58,7 @@
 Package: python-zeep
 Architecture: all
 Depends: python-appdirs,
+         python-attr,
          python-cached-property,
          python-defusedxml,
          python-isodate,
@@ -95,6 +98,7 @@
 Architecture: all
 Depends: python3-aiohttp,
          python3-appdirs,
+         python3-attr,
          python3-cached-property,
          python3-defusedxml,
          python3-freezegun,

=== debian/tests/control ===
Depends: python-zeep
Test-Command: cd "$ADTTMP" ; python -c "import zeep ; print(zeep.__version__)"

Depends: python3-zeep
Test-Command: cd "$ADTTMP" ; python3 -c "import zeep ; print(zeep.__version__)"

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/zeep/zeep-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-zeep 3.4.0

=== debian/changelog ===
python-zeep (3.4.0-1) unstable; urgency=medium

  * Add the actual signing key of the maintainer.
  * Merging upstream version 3.4.0.
  * Drop the Python 2 support.
  * Bump the Standards-Version to 4.4.0, no changes needed.
  * Bump the debian copyright year.
  * Refresh 01-remove-failing-tests.patch.
  * Disable the test suite on building for now, we are hit by
    https://github.com/pytest-dev/pytest-cov/issues/252

 -- Mathias Behrle <mbehrle@debian.org>  Mon, 26 Aug 2019 12:24:05 +0200

=== debian/control ===
Source: python-zeep
Maintainer: Debian Tryton Maintainers <team+tryton-team@tracker.debian.org>
Uploaders: Mathias Behrle <mbehrle@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python (>= 1.20130901-1~),
               libxmlsec1,
               libxmlsec1-openssl,
               python3,
               python3-aiohttp,
               python3-appdirs,
               python3-attr,
               python3-cached-property,
               python3-defusedxml,
               python3-flake8,
               python3-freezegun,
               python3-isodate,
               python3-isort,
               python3-lxml,
               python3-mock,
               python3-pretend,
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-tornado,
               python3-requests,
               python3-requests-mock,
               python3-requests-toolbelt,
               python3-setuptools,
               python3-six (>= 1.9.0-3~),
               python3-tz
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/tryton-team/python-zeep
Vcs-Git: https://salsa.debian.org/tryton-team/python-zeep.git
Homepage: https://github.com/mvantellingen/python-zeep

Package: python3-zeep
Architecture: all
Depends: python3-aiohttp,
         python3-appdirs,
         python3-attr,
         python3-cached-property,
         python3-defusedxml,
         python3-freezegun,
         python3-isodate,
         python3-lxml,
         python3-pkg-resources,
         python3-requests,
         python3-six,
         python3-tz,
         ${misc:Depends},
         ${python3:Depends}
Description: Modern SOAP client library (Python 3)
 A fast and modern Python SOAP client
 .
 Highlights:
  * Modern codebase compatible with Python 2.7, 3.3, 3.4, 3.5, 3.6, 3.7 and PyPy
  * Build on top of lxml and requests
  * Supports recursive WSDL and XSD documents.
  * Supports the xsd:choice and xsd:any elements.
  * Uses the defusedxml module for handling potential XML security issues
  * Support for WSSE (UsernameToken only for now)
  * Experimental support for HTTP bindings
  * Experimental support for WS-Addressing headers
  * Experimental support for asyncio via aiohttp (Python 3.5+)
 .
 Features still in development include:
  * WSSE x.509 support (BinarySecurityToken)
  * WS Policy support
 .
 Please see for more information the documentation at
 http://docs.python-zeep.org/
 .
 This package is targeting Python version 3.

=== debian/tests/control ===
Depends: python3-zeep
Test-Command: cd "$ADTTMP" ; python3 -c "import zeep ; print(zeep.__version__)"

## python-zeep 4.0.0

=== debian/changelog ===
python-zeep (4.0.0-1) unstable; urgency=medium

  * Merging upstream version 4.0.0.
  * Update Depends.
  * Update 01-remove-failing-tests.patch, asyncio and tornado support was
    finally removed.
  * Mark the autopkgtest as superficial (Closes: #974504).
  * Updating to standards version 4.5.1, no changes needed.
  * Update debian copyright.
  * Use debhelper compat 12.
  * Set Rules-Requires-Root: no.
  * Replace ADTTMP with AUTOPKGTEST_TMP.

 -- Mathias Behrle <mathiasb@m9s.biz>  Sun, 20 Dec 2020 17:20:57 +0100

## python-zeep 4.1.0

=== debian/changelog ===
python-zeep (4.1.0-1) unstable; urgency=medium

  * zeep tarballs are distributed unsigned via Pypi.
  * Merging upstream version 4.1.0.
  * Update the d/copyright file.
  * Refresh patches.

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 20 Oct 2021 14:37:24 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Uploaders: Mathias Behrle <mbehrle@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-python (>= 1.20130901-1~),
                libxmlsec1,
                libxmlsec1-openssl,
                python3,
-               python3-aiohttp,
                python3-appdirs,
                python3-attr,
                python3-cached-property,
+               python3-coverage,
                python3-defusedxml,
                python3-flake8,
                python3-freezegun,
@@ -29,15 +29,15 @@
                python3-setuptools,
                python3-six (>= 1.9.0-3~),
                python3-tz
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/tryton-team/python-zeep
 Vcs-Git: https://salsa.debian.org/tryton-team/python-zeep.git
 Homepage: https://github.com/mvantellingen/python-zeep
 
 Package: python3-zeep
 Architecture: all
-Depends: python3-aiohttp,
-         python3-appdirs,
+Depends: python3-appdirs,
          python3-attr,
          python3-cached-property,
          python3-defusedxml,

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/zeep/zeep-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-zeep 4.2.1

=== debian/changelog ===
python-zeep (4.2.1-2ubuntu1) noble; urgency=medium

  * Drop libxmlsec1 and libxmlsec1-openssl build dependencies.

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 15 Apr 2024 12:41:42 +0200

python-zeep (4.2.1-2) unstable; urgency=medium

  [ Mathias Behrle ]
  * Bump the Standards-Version to 4.6.2, no changes needed.
  * Do not take into account python package metadata when building twice
    (Closes: #1047075).
  * Update Build-Deps (Closes: #1040370).
  * Update compatibility line in the extended description (Closes:
    #1040370).
  * Use a more greedy expression for extend-diff-ignore to include
    subdirectories.

  [ Alexandre Detiste ]
  * remove python3-six 2/2

  [ Mathias Behrle ]
  * Use my usual email in Uploaders to facilitate build tasks.
  * Remove legacy copyright paragraph.
  * Correct a typo in file patterns in d/copyright.

 -- Mathias Behrle <mathiasb@m9s.biz>  Tue, 29 Aug 2023 17:25:39 +0200

python-zeep (4.2.1-1) unstable; urgency=medium

  * Add a salsa-ci.yml
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Bump debhelper from old 12 to 13.
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix field name typo in debian/copyright (Comments => Comment).
  * Update standards version to 4.6.1, no changes needed.
  * Opportunistically check upstream PGP signatures.
  * Fix wrongly reformatted line by lintian-brush.
  * d/copyright: Replace tabs with spaces.
  * Remove obsolete lintian-overrides.
  * Merging upstream version 4.2.1
  * Update copyright years.
  * Refresh patches.

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 18 Jan 2023 21:39:16 +0100

python-zeep (4.1.0-2) unstable; urgency=medium

  * Update Build-Depends and Depends (Closes: #1016358).

 -- Mathias Behrle <mathiasb@m9s.biz>  Fri, 09 Sep 2022 11:01:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,34 @@
 Source: python-zeep
 Maintainer: Debian Tryton Maintainers <team+tryton-team@tracker.debian.org>
-Uploaders: Mathias Behrle <mbehrle@debian.org>
+Uploaders: Mathias Behrle <mathiasb@m9s.biz>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python (>= 1.20130901-1~),
-               libxmlsec1,
-               libxmlsec1-openssl,
                python3,
-               python3-appdirs,
                python3-attr,
                python3-cached-property,
                python3-coverage,
-               python3-defusedxml,
                python3-flake8,
+               python3-flake8-blind-except,
                python3-freezegun,
                python3-isodate,
                python3-isort,
                python3-lxml,
                python3-mock,
+               python3-platformdirs,
                python3-pretend,
                python3-pytest,
                python3-pytest-cov,
+               python3-pytest-asyncio,
                python3-pytest-tornado,
                python3-requests,
+               python3-requests-file,
                python3-requests-mock,
                python3-requests-toolbelt,
                python3-setuptools,
-               python3-six (>= 1.9.0-3~),
                python3-tz
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/tryton-team/python-zeep
 Vcs-Git: https://salsa.debian.org/tryton-team/python-zeep.git
@@ -37,16 +36,17 @@
 
 Package: python3-zeep
 Architecture: all
-Depends: python3-appdirs,
-         python3-attr,
+Depends: python3-attr,
          python3-cached-property,
          python3-defusedxml,
          python3-freezegun,
          python3-isodate,
          python3-lxml,
+         python3-platformdirs,
          python3-pkg-resources,
          python3-requests,
-         python3-six,
+         python3-requests-file,
+         python3-requests-toolbelt,
          python3-tz,
          ${misc:Depends},
          ${python3:Depends}
@@ -54,7 +54,7 @@
  A fast and modern Python SOAP client
  .
  Highlights:
-  * Modern codebase compatible with Python 2.7, 3.3, 3.4, 3.5, 3.6, 3.7 and PyPy
+  * Modern codebase compatible with Python versions >= 3.7 and PyPy
   * Build on top of lxml and requests
   * Supports recursive WSDL and XSD documents.
   * Supports the xsd:choice and xsd:any elements.

=== debian/tests/control ===
Depends: python3-zeep
Restrictions: superficial
Test-Command: cd "$AUTOPKGTEST_TMP" ; python3 -c "import zeep ; print(zeep.__version__)"

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/,pgpmode=auto https://pypi.debian.net/zeep/zeep-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-zeep 4.3.1

=== debian/changelog ===
python-zeep (4.3.1-2) unstable; urgency=medium

  * Remove legacy python3-pkg-resources from Depends (Closes: #1083326).

 -- Mathias Behrle <mathiasb@m9s.biz>  Fri, 17 Jan 2025 16:38:53 +0100

python-zeep (4.3.1-1) unstable; urgency=medium

  * Bump the Standards-Version to 4.7.0, no changes needed.
  * Remove signature check.
  * Merging upstream version 4.3.1 (Closes: #1084695).
  * Use pybuild-plugin-pyproject.
  * Refresh 01-remove-failing-tests.patch.

 -- Mathias Behrle <mathiasb@m9s.biz>  Wed, 06 Nov 2024 12:43:37 +0100

python-zeep (4.2.1-3) unstable; urgency=medium

  [ Alexandre Detiste ]
  * remove obsolete ref. to python3-mock

  [ Mathias Behrle ]
  * Update the libxmlsec1 build dependencies to follow the t64 transition
    (Closes: #1070116).

 -- Mathias Behrle <mathiasb@m9s.biz>  Thu, 02 May 2024 09:17:41 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,9 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python (>= 1.20130901-1~),
+               libxmlsec1t64,
+               libxmlsec1t64-openssl,
+               pybuild-plugin-pyproject,
                python3,
                python3-attr,
                python3-cached-property,
@@ -15,7 +18,6 @@
                python3-isodate,
                python3-isort,
                python3-lxml,
-               python3-mock,
                python3-platformdirs,
                python3-pretend,
                python3-pytest,
@@ -28,7 +30,7 @@
                python3-requests-toolbelt,
                python3-setuptools,
                python3-tz
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/tryton-team/python-zeep
 Vcs-Git: https://salsa.debian.org/tryton-team/python-zeep.git
@@ -43,7 +45,6 @@
          python3-isodate,
          python3-lxml,
          python3-platformdirs,
-         python3-pkg-resources,
          python3-requests,
          python3-requests-file,
          python3-requests-toolbelt,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME := zeep

# 20190826:
# The test suite uses older binaries that are not
# available in sid.
# Debian:
#  ============================= test session starts ==============================
#  platform linux -- Python 3.7.4, pytest-4.6.5, py-1.8.0, pluggy-0.12.0
#  plugins: requests-mock-1.5.2, tornado-0.8.0, cov-2.7.1
#  vs.
# setup.py:
#  tests_require = [
#    'freezegun==0.3.8',
#    'pretend==1.0.8',
#    'pytest-cov==2.5.1',
#    'pytest==3.1.3',
#    'requests_mock>=0.7.0',
#    'pytest-tornado==0.4.5',
#
# Therefore we are running into
# https://github.com/pytest-dev/pytest-cov/issues/252
# and disable the whole test suite on building.
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf $(PACKAGE_NAME).egg-info
	rm -rf PKG-INFO
	dh_auto_clean

## python-zeep 4.3.2

=== examples/Makefile ===
server:
	uwsgi \
		--http :8000 \
		--wsgi-file soap_server.py \
		-p 10

=== debian/changelog ===
python-zeep (4.3.2-1) unstable; urgency=medium

  * Drop extraneous dependency on transitional python3-tz (Closes:
    #1115942).
  * Add a missing separator in Depends.
  * Merging upstream version 4.3.2.
  * Depend on python3-httpx and python3-packaging for async support.

 -- Mathias Behrle <mathiasb@m9s.biz>  Tue, 11 Nov 2025 16:35:02 +0100

python-zeep (4.3.1-3) unstable; urgency=medium

  * Drop libxmlsec1 and libxmlsec1-openssl build dependencies (Closes:
    #1107716).

 -- Mathias Behrle <mathiasb@m9s.biz>  Sun, 15 Jun 2025 18:13:44 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,6 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python (>= 1.20130901-1~),
-               libxmlsec1t64,
-               libxmlsec1t64-openssl,
                pybuild-plugin-pyproject,
                python3,
                python3-attr,
@@ -15,9 +13,11 @@
                python3-flake8,
                python3-flake8-blind-except,
                python3-freezegun,
+               python3-httpx,
                python3-isodate,
                python3-isort,
                python3-lxml,
+               python3-packaging,
                python3-platformdirs,
                python3-pretend,
                python3-pytest,
@@ -29,7 +29,7 @@
                python3-requests-mock,
                python3-requests-toolbelt,
                python3-setuptools,
-               python3-tz
+               python3-pytz | python3-tz
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/tryton-team/python-zeep
@@ -42,13 +42,15 @@
          python3-cached-property,
          python3-defusedxml,
          python3-freezegun,
+         python3-httpx,
          python3-isodate,
          python3-lxml,
+         python3-packaging,
          python3-platformdirs,
          python3-requests,
          python3-requests-file,
          python3-requests-toolbelt,
-         python3-tz,
+         python3-pytz | python3-tz,
          ${misc:Depends},
          ${python3:Depends}
 Description: Modern SOAP client library (Python 3)

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpmode=none https://pypi.debian.net/zeep/zeep-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
